Bug 985385 - NetworkManager dispatcher service not enabled
NetworkManager dispatcher service not enabled
Status: CLOSED DUPLICATE of bug 974811
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
19
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
: 985084 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-17 07:19 EDT by Patrick Reinhart
Modified: 2013-07-19 06:14 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-19 06:14:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Status after system start (1.20 KB, text/plain)
2013-07-17 07:19 EDT, Patrick Reinhart
no flags Details
Status after manually start service after boot (1.44 KB, text/plain)
2013-07-17 07:20 EDT, Patrick Reinhart
no flags Details
dhcpd config (2.05 KB, text/plain)
2013-07-17 07:20 EDT, Patrick Reinhart
no flags Details
eth0 config script (408 bytes, text/plain)
2013-07-17 07:21 EDT, Patrick Reinhart
no flags Details
eth1 config script (255 bytes, text/plain)
2013-07-17 07:22 EDT, Patrick Reinhart
no flags Details

  None (edit)
Description Patrick Reinhart 2013-07-17 07:19:21 EDT
Created attachment 774735 [details]
Status after system start

After system startup the configured DHCP startup failed with the error "Not configured to listen on any interfaces!" 

There are two wire network interfaces configured with "Connect automatically" and "Make available to other users"


Version-Release number of selected component (if applicable):

Linux svgator.ccuw.ch 3.9.9-302.fc19.i686.PAE #1 SMP Sat Jul 6 13:52:23 UTC 2013 i686 i686 i386 GNU/Linux

How reproducible:

Freshly reboot.


Steps to Reproduce:
1. configure dhcp and activate server
2. reboot
3. check state: systemctl status dhcpd

Actual results:

dhcpd.service - DHCPv4 Server Daemon
   Loaded: loaded (/usr/lib/systemd/system/dhcpd.service; enabled)
   Active: failed (Result: exit-code) since Tue 2013-07-16 14:03:41 CEST; 1h 3min ago
     Docs: man:dhcpd(8)
           man:dhcpd.conf(5)
  Process: 1083 ExecStart=/usr/sbin/dhcpd -f -cf /etc/dhcp/dhcpd.conf -user dhcpd -group dhcpd --no-pid (code=exited, status=1/FAILURE)


Expected results:

[root@svgator ~]# systemctl status dhcpd
dhcpd.service - DHCPv4 Server Daemon
   Loaded: loaded (/usr/lib/systemd/system/dhcpd.service; enabled)
   Active: active (running) since Tue 2013-07-16 15:08:17 CEST; 1s ago
     Docs: man:dhcpd(8)
           man:dhcpd.conf(5)
 Main PID: 1308 (dhcpd)
   CGroup: name=systemd:/system/dhcpd.service
           └─1308 /usr/sbin/dhcpd -f -cf /etc/dhcp/dhcpd.conf -user dhcpd -group dhcpd --no-pid


Additional info:

After manually restart service after bootup. The service starts successfully
Comment 1 Patrick Reinhart 2013-07-17 07:20:14 EDT
Created attachment 774736 [details]
Status after manually start service after boot
Comment 2 Patrick Reinhart 2013-07-17 07:20:49 EDT
Created attachment 774737 [details]
dhcpd config
Comment 3 Patrick Reinhart 2013-07-17 07:21:49 EDT
Created attachment 774739 [details]
eth0 config script
Comment 4 Patrick Reinhart 2013-07-17 07:22:28 EDT
Created attachment 774740 [details]
eth1 config script
Comment 5 Jiri Popelka 2013-07-17 07:35:42 EDT
*** Bug 985084 has been marked as a duplicate of this bug. ***
Comment 6 Jiri Popelka 2013-07-17 10:04:45 EDT
(In reply to Ian Neal from bug #985084, comment #1)
> dhcpd: No subnet declaration for em1 (no IPv4 addresses).
> dhcpd: No subnet declaration for p2p1 (no IPv4 addresses).

For this case we've shipped /etc/NetworkManager/dispatcher.d/12-dhcpd which is supposed to restart dhcpd service whenever a NIC is activated.

But there seems to be some problem with NetworkManager dispatcher, because I can see these lines in my /var/log/messages:
Jul 17 15:54:31 zepelin dbus[450]: [system] Activating via systemd: service name='org.freedesktop.nm_dispatcher' unit='dbus-org.freedesktop.nm-dispatcher.service'
Jul 17 15:54:31 zepelin dbus[450]: [system] Activation via systemd failed for unit 'dbus-org.freedesktop.nm-dispatcher.service': Unit dbus-org.freedesktop.nm-dispatcher.service failed to load: No such file or directory. See system logs and 'systemctl status dbus-org.freedesktop.nm-dispatcher.service' for details.
Jul 17 15:54:31 zepelin NetworkManager[452]: <warn> Dispatcher failed: (32) Unit dbus-org.freedesktop.nm-dispatcher.service failed to load: No such file or directory. See system logs and 'systemctl status dbus-org.freedesktop.nm-dispatcher.service' for details.
Jul 17 15:54:31 zepelin dbus-daemon[450]: dbus[450]: [system] Activating via systemd: service name='org.freedesktop.nm_dispatcher' unit='dbus-org.freedesktop.nm-dispatcher.service'
Jul 17 15:54:31 zepelin dbus-daemon[450]: dbus[450]: [system] Activation via systemd failed for unit 'dbus-org.freedesktop.nm-dispatcher.service': Unit dbus-org.freedesktop.nm-dispatcher.service failed to load: No such file or directory. See system logs and 'systemctl status dbus-org.freedesktop.nm-dispatcher.service' for details.

# systemctl status dbus-org.freedesktop.nm-dispatcher.service
dbus-org.freedesktop.nm-dispatcher.service
   Loaded: error (Reason: No such file or directory)
   Active: inactive (dead)

# rpm -q NetworkManager
NetworkManager-0.9.8.2-8.git20130709.fc19.x86_64
Comment 7 Patrick Reinhart 2013-07-17 10:41:09 EDT
Same also under i686

# systemctl status dbus-org.freedesktop.nm-dispatcher.service
dbus-org.freedesktop.nm-dispatcher.service
   Loaded: error (Reason: No such file or directory)
   Active: inactive (dead)

# rpm -q NetworkManager
NetworkManager-0.9.8.2-8.git20130709.fc19.i686
Comment 8 Jiri Popelka 2013-07-18 05:10:46 EDT
systemctl start NetworkManager-dispatcher.service
fixes the problem for me, but I can't say why it was not running before.

Should the packages which install scripts into /etc/NetworkManager/dispatcher.d/ (dhclient/dhcp in my case) make sure NetworkManager-dispatcher service is enabled ?
Comment 9 Tomáš Hozza 2013-07-18 05:30:50 EDT
(In reply to Jiri Popelka from comment #8)
> systemctl start NetworkManager-dispatcher.service
> fixes the problem for me, but I can't say why it was not running before.
> 
> Should the packages which install scripts into
> /etc/NetworkManager/dispatcher.d/ (dhclient/dhcp in my case) make sure
> NetworkManager-dispatcher service is enabled ?

This was most probably caused by the following Bug:
https://bugzilla.redhat.com/show_bug.cgi?id=974811
Comment 10 Patrick Reinhart 2013-07-18 15:35:41 EDT
(In reply to Tomas Hozza from comment #9)

> This was most probably caused by the following Bug:
> https://bugzilla.redhat.com/show_bug.cgi?id=974811

This is true for my i686 system, which I did update from F18. But I got the same problem on a freshly installed F19 x64 system...
Comment 11 Tomáš Hozza 2013-07-19 02:55:19 EDT
(In reply to Patrick Reinhart from comment #10)
> This is true for my i686 system, which I did update from F18. But I got the
> same problem on a freshly installed F19 x64 system...

The issue appears on both, upgraded and freshly installed F19.
Comment 12 Jirka Klimes 2013-07-19 06:14:25 EDT
You can fixed that by 'systemctl enable NetworkManager-dispatcher.service'
The new dispatcher name was not added to systemd presets, so the dispatcher unit was not enabled.

*** This bug has been marked as a duplicate of bug 974811 ***

Note You need to log in before you can comment on or make changes to this bug.